<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__canfd__enums" kind="group">
    <compoundname>group_canfd_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__canfd__enums_1ga8e8bd7856fdc3566bbe2d0c43270c187" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_status_t</name>
        <enumvalue id="group__group__canfd__enums_1gga8e8bd7856fdc3566bbe2d0c43270c187a0835f4671848804d56b8d29607a5c3a4" prot="public">
          <name>CY_CANFD_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8e8bd7856fdc3566bbe2d0c43270c187a2218bebb7bcfad00bab73eceadbedf11" prot="public">
          <name>CY_CANFD_BAD_PARAM</name>
          <initializer>= CY_CANFD_ID | CY_PDL_STATUS_ERROR | 0x01u</initializer>
          <briefdescription>
<para>Bad parameter was passed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8e8bd7856fdc3566bbe2d0c43270c187a4d5d0d805f396921cd20b63d874c5b3e" prot="public">
          <name>CY_CANFD_ERROR_TIMEOUT</name>
          <initializer>= CY_CANFD_ID | CY_PDL_STATUS_ERROR | 0x02u</initializer>
          <briefdescription>
<para>A Time out error occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_status_t: </bold><linebreak />CAN FD status enumeration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="447" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="442" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="443" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1gacbbb27d497c2038e14006f059b5a9705" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_tx_buffer_status_t</name>
        <enumvalue id="group__group__canfd__enums_1ggacbbb27d497c2038e14006f059b5a9705af0e20c0ed4ad7ae61e29c32dbd3ea8e5" prot="public">
          <name>CY_CANFD_TX_BUFFER_IDLE</name>
          <initializer>= 0u</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggacbbb27d497c2038e14006f059b5a9705a454e5d11183017108c7426876d917a59" prot="public">
          <name>CY_CANFD_TX_BUFFER_PENDING</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>Pending transmission. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggacbbb27d497c2038e14006f059b5a9705a79db757e324196cbc5239f0fa3967bdc" prot="public">
          <name>CY_CANFD_TX_BUFFER_TRANSMIT_OCCURRED</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>Transmission occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggacbbb27d497c2038e14006f059b5a9705ac8e0f484fe24ecf42aa45e5f96517321" prot="public">
          <name>CY_CANFD_TX_BUFFER_CANCEL_REQUESTED</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>Cancellation requested. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggacbbb27d497c2038e14006f059b5a9705a4cc474e40ee78ef96f15172c0d2416b0" prot="public">
          <name>CY_CANFD_TX_BUFFER_CANCEL_FINISHED</name>
          <initializer>= 4u</initializer>
          <briefdescription>
<para>Cancellation finished. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_tx_buffer_status_t: </bold><linebreak />CAN FD Tx Buffer status enumeration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="457" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="450" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="451" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga597fe2f69a8484277fd481ac5384ca7c" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_buffer_data_size_t</name>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca7acc1e8f51fde3f703b268c2b5dcd4cd" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_8</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>8 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca180ee381fd940bf659fb22324e5e7bb7" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_12</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>12 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca95fd751c9f1382213b86b90d382fd34c" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_16</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>16 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7cae15acacee89759bdfd8f40257084408a" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_20</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>20 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7cafe5dcadf95dc543c8d24d9bad3717599" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_24</name>
          <initializer>= 4u</initializer>
          <briefdescription>
<para>24 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca3a8fa3a948d1c20d9b39c99e2fc9f9c5" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_32</name>
          <initializer>= 5u</initializer>
          <briefdescription>
<para>32 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca8c174046a8349f6217f211fc6631b899" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_48</name>
          <initializer>= 6u</initializer>
          <briefdescription>
<para>48 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga597fe2f69a8484277fd481ac5384ca7ca2a6fe8e5944a3c017b15cce584d421ee" prot="public">
          <name>CY_CANFD_BUFFER_DATA_SIZE_64</name>
          <initializer>= 7u</initializer>
          <briefdescription>
<para>64 byte data field </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_buffer_data_size_t: </bold><linebreak />CAN FD Tx/Rx buffer element size.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="470" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="460" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="461" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga0017b4985b8b86ca85b9dca5d532803e" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_fifo_mode_t</name>
        <enumvalue id="group__group__canfd__enums_1gga0017b4985b8b86ca85b9dca5d532803eacf888e2a229311116de20012e4fc7b05" prot="public">
          <name>CY_CANFD_FIFO_MODE_BLOCKING</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>FIFO blocking mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga0017b4985b8b86ca85b9dca5d532803ea1f0e6113d2a55b277bcd1fa3a4cd51c6" prot="public">
          <name>CY_CANFD_FIFO_MODE_OVERWRITE</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>FIFO overwrite mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_fifo_mode_t: </bold><linebreak />CAN FD Rx FIFO operating mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="477" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="473" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="474" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga5ce2c01ca9806831dc539727d173e59c" kind="enum" prot="public" static="no">
        <name>cy_en_accept_non_matching_frames_t</name>
        <enumvalue id="group__group__canfd__enums_1gga5ce2c01ca9806831dc539727d173e59ca9f84f229041f327f023e9cb8e38b3398" prot="public">
          <name>CY_CANFD_ACCEPT_IN_RXFIFO_0</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>Accept in Rx FIFO 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga5ce2c01ca9806831dc539727d173e59caa461ec9511646d934effbd9c71bd97f1" prot="public">
          <name>CY_CANFD_ACCEPT_IN_RXFIFO_1</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>Accept in Rx FIFO 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga5ce2c01ca9806831dc539727d173e59ca0bdcda3b8c5bb18bdba37d1fb85a7366" prot="public">
          <name>CY_CANFD_REJECT_NON_MATCHING</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>Reject the frames. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_accept_non_matching_frames_t: </bold><linebreak />CAN FD accept non matching frames.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="485" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="481" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga771a5a0d147e2e0938fc18cf1ec68a7b" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_id_filter_element_config_t</name>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba083198fd83455c02c87e1ad92accfee0" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_DISABLE_FILETER_ELEMENT</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Disable filter element. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba1531f5045c518e70cdb319d477847f63" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_STORE_RXFIFO0</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 0, if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7bada86f823e5b176ddfa92cc15fc97a55a" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_STORE_RXFIFO1</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 1, if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba639c383c681be49f38e119340533d654" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_REJECT_ID</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Reject ID if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba899f4e0f0a40bfbba53e7ae288cdac52" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_SET_PRIORIY</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>Set priority if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba282bdaebddf273d5c0a4368565a32b46" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_SET_PIORITY_STORE_RXFIFO0</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 0, if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba1908b525fd313d024b9158445a2f14e8" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_SET_PIORITY_STORE_RXFIFO1</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 1, if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga771a5a0d147e2e0938fc18cf1ec68a7ba412bbb45bb292a67758b70a750f9043e" prot="public">
          <name>CY_CANFD_ID_FILTER_ELEMNT_CONFIG_STORE_RXBUFF_OR_DEBUGMSG</name>
          <initializer>= 0x07u</initializer>
          <briefdescription>
<para>Store into Rx Buffer or as debug message, configuration of SFT[1:0] ignored. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_id_filter_element_config_t: </bold><linebreak />ID Filter element configuration type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="504" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="489" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga616df3b493be1168046594c1f814b08f" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_std_id_filter_type_t</name>
        <enumvalue id="group__group__canfd__enums_1gga616df3b493be1168046594c1f814b08fa02f8f4ef6bb360403f289ce497cd0ad9" prot="public">
          <name>CY_CANFD_STD_ID_FILTER_TYPE_RANGE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The Range filter from SFID1 to SFID2 (SFID2 = SFID1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga616df3b493be1168046594c1f814b08fa68605685b263b346405f91d6087f6c5b" prot="public">
          <name>CY_CANFD_STD_ID_FILTER_TYPE_DUAL</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The Dual ID filter for SFID1 or SFID2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga616df3b493be1168046594c1f814b08fa03c789f3368a4092a20cfd1c201022c9" prot="public">
          <name>CY_CANFD_STD_ID_FILTER_TYPE_CLASSIC</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The Classic filter: SFID1 = filter, SFID2 = mask. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_std_id_filter_type_t: </bold><linebreak />Standard ID filter type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="512" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="507" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="508" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1gafb095a2005403c5acd155b3ebf1f6307" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_ext_id_filter_type_t</name>
        <enumvalue id="group__group__canfd__enums_1ggafb095a2005403c5acd155b3ebf1f6307ae64462fc5020f3910975ae39911fe9cd" prot="public">
          <name>CY_CANFD_EXT_ID_FILTER_TYPE_RANGE_AND_MASK</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The range filter from EFID1 to EFID2 (EFID2 = EFID1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggafb095a2005403c5acd155b3ebf1f6307aa6cd70d944e0d9f5df034df44afdaf23" prot="public">
          <name>CY_CANFD_EXT_ID_FILTER_TYPE_DUAL</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The dual ID filter for EFID1 or EFID2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggafb095a2005403c5acd155b3ebf1f6307a39c2555d069af8c9bc53ba5af058caba" prot="public">
          <name>CY_CANFD_EXT_ID_FILTER_TYPE_CLASSIC</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The classic filter: EFID1 = filter, EFID2 = mask. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggafb095a2005403c5acd155b3ebf1f6307a0f992e10fe0cbf93c045d5ab2afc9dfc" prot="public">
          <name>CY_CANFD_EXT_ID_FILTER_TYPE_RANGE</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The range filter from EFID1 to EFID2 (EFID2 = EFID1), XIDAM mask not applied. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_ext_id_filter_type_t: </bold><linebreak />Extended ID filter type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="523" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="515" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="516" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga9dc2150b5a115fd87cd60f538f7281ce" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_rtr_t</name>
        <enumvalue id="group__group__canfd__enums_1gga9dc2150b5a115fd87cd60f538f7281ceac797e947012ac4b5d191f67b5095682c" prot="public">
          <name>CY_CANFD_RTR_DATA_FRAME</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The received frame is a data frame. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga9dc2150b5a115fd87cd60f538f7281cea453fbbd684c7b58e8fa05386c15db335" prot="public">
          <name>CY_CANFD_RTR_REMOTE_FRAME</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The received frame is a remote frame. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_rtr_t: </bold><linebreak />Type for indication of the received frame (Remote Transmission Request)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="530" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="527" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga511e4ae64e16189bfe2e5828ae2d9f25" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_xtd_t</name>
        <enumvalue id="group__group__canfd__enums_1gga511e4ae64e16189bfe2e5828ae2d9f25aba189a4f427a087b73a3fd75a80f19ee" prot="public">
          <name>CY_CANFD_XTD_STANDARD_ID</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The 11-bit standard identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga511e4ae64e16189bfe2e5828ae2d9f25adcba34faabea8d9f6866b65a6a3ffc9c" prot="public">
          <name>CY_CANFD_XTD_EXTENDED_ID</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The 29-bit extended identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_xtd_t: </bold><linebreak />Extended Identifier type (whether the received frame has a standard or extended identifier)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="537" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="533" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="534" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga24bb5c7075c10594b4e276520f64f779" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_esi_t</name>
        <enumvalue id="group__group__canfd__enums_1gga24bb5c7075c10594b4e276520f64f779a46390b4ec4de5f7c1819fe9f1a0ebbec" prot="public">
          <name>CY_CANFD_ESI_ERROR_ACTIVE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The transmitting node is error active. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga24bb5c7075c10594b4e276520f64f779af51b073aa5ee832878ff7e15ff8fd1b3" prot="public">
          <name>CY_CANFD_ESI_ERROR_PASSIVE</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The transmitting node is error passive. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_esi_t: </bold><linebreak />Error State Indicator type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="544" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="540" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="541" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga9a9a243726110708a6e61d77b7a86d1e" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_fdf_t</name>
        <enumvalue id="group__group__canfd__enums_1gga9a9a243726110708a6e61d77b7a86d1ea16e079ea2b407c5c68f8dfd9f3075553" prot="public">
          <name>CY_CANFD_FDF_STANDARD_FRAME</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The standard frame format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga9a9a243726110708a6e61d77b7a86d1ea0053337533518903d9fa1ec0729a22d2" prot="public">
          <name>CY_CANFD_FDF_CAN_FD_FRAME</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The CAN FD frame format (new DLC-coding and CRC) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_fdf_t: </bold><linebreak />FD Format type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="551" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="547" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="548" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga53b444c143bea1570c083fd63289e2e1" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_anmf_t</name>
        <enumvalue id="group__group__canfd__enums_1gga53b444c143bea1570c083fd63289e2e1a90504037e1fe18864bcb42aabde61977" prot="public">
          <name>CY_CANFD_ANMF_MATCH_FILTER</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The received frame matching filter index FIDX. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga53b444c143bea1570c083fd63289e2e1a6a664e6f83460cb101b8796daf923b39" prot="public">
          <name>CY_CANFD_ANMF_NOT_MATCH_FILTER</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The received frame did not match any Rx filter element. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_anmf_t: </bold><linebreak />Accepted Non-matching Frame type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="558" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="554" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="555" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1gae5fe195a7883e282b211bc54e10977f0" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_sfec_t</name>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0adbd2b64e92d978ef98954653c4677210" prot="public">
          <name>CY_CANFD_SFEC_DISABLE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Disable the filter element. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a73fb6e66218c0a02ff8276d60263e162" prot="public">
          <name>CY_CANFD_SFEC_STORE_RX_FIFO_0</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 0 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a25cd43ce3b958e25c668efc93d10c069" prot="public">
          <name>CY_CANFD_SFEC_STORE_RX_FIFO_1</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 1 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a88c298facaea3e20e74dc4b64c0ce323" prot="public">
          <name>CY_CANFD_SFEC_REJECT_ID</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Reject ID if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a31f4cb182e28e26a54ad1f0ee4d76d79" prot="public">
          <name>CY_CANFD_SFEC_SET_PRIORITY</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>Set priority if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a3ccedd6df1dd38423007d337585a54bb" prot="public">
          <name>CY_CANFD_SFEC_SET_PRIORITY_STORE_FIFO_0</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 0 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0ab72e0112a42ed9531f3eed0b0763a895" prot="public">
          <name>CY_CANFD_SFEC_SET_PRIORITY_STORE_FIFO_1</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 1 if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggae5fe195a7883e282b211bc54e10977f0a37e10c3b20326fbfd1dcd08b2616c582" prot="public">
          <name>CY_CANFD_SFEC_STORE_RX_BUFFER</name>
          <initializer>= 0x07u</initializer>
          <briefdescription>
<para>Store into Rx Buffer or as debug message, configuration of SFT[1:0] ignored. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_sfec_t: </bold><linebreak />Standard Filter Element Configuration type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="573" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="561" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="562" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga21b68fc58e117edbae073d981342566a" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_sft_t</name>
        <enumvalue id="group__group__canfd__enums_1gga21b68fc58e117edbae073d981342566aa713b9179742d141bee6853a093310e96" prot="public">
          <name>CY_CANFD_SFT_RANGE_SFID1_SFID2</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The range filter from SFID1 to SFID2 (SFID2 &gt;= SFID1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga21b68fc58e117edbae073d981342566aab3ac307e52b58abe2318c167b70447ac" prot="public">
          <name>CY_CANFD_SFT_DUAL_ID</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The Dual ID filter for SFID1 or SFID2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga21b68fc58e117edbae073d981342566aab201278070016e4b6b9f8a063d6273ee" prot="public">
          <name>CY_CANFD_SFT_CLASSIC_FILTER</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The Classic filter: SFID1 = filter, SFID2 = mask. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga21b68fc58e117edbae073d981342566aade1cc78af265f74efb16bb9012e4fd8c" prot="public">
          <name>CY_CANFD_SFT_DISABLED</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The Filter element disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_sft_t: </bold><linebreak />Standard Filter Type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="582" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="576" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="577" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga54cac9dc6e3b4b0ad9f833420dcd0d85" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_efec_t</name>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a7343ba05b3674cd56229d842787e9830" prot="public">
          <name>CY_CANFD_EFEC_DISABLE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Disable the filter element. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a3e2a2beed10231ced02bccfd9ddcadcf" prot="public">
          <name>CY_CANFD_EFEC_STORE_RX_FIFO_0</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 0 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a0414279b832aca1d717de5c3bc9532d6" prot="public">
          <name>CY_CANFD_EFEC_STORE_RX_FIFO_1</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Store in Rx FIFO 1 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85ab8d312ce434487eda27a4e5ba3f76a1e" prot="public">
          <name>CY_CANFD_EFEC_REJECT_ID</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Reject ID if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a66395e5cbc3a621095177b7e83dfbfc3" prot="public">
          <name>CY_CANFD_EFEC_SET_PRIORITY</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>Set priority if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85ae7a96f34f797f401331f9ea65c66b5ed" prot="public">
          <name>CY_CANFD_EFEC_SET_PRIORITY_STORE_FIFO_0</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 0 if the filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a6fe7c14a3ea604be323e046567018b49" prot="public">
          <name>CY_CANFD_EFEC_SET_PRIORITY_STORE_FIFO_1</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>Set priority and store in FIFO 1 if filter matches. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga54cac9dc6e3b4b0ad9f833420dcd0d85a246b8ada4e053806603a033b7f0fb011" prot="public">
          <name>CY_CANFD_EFEC_STORE_RX_BUFFER</name>
          <initializer>= 0x07u</initializer>
          <briefdescription>
<para>Store into Rx Buffer or as debug message, configuration of EFT[1:0] ignored. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_efec_t: </bold><linebreak />Extended Filter Element Configuration type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="597" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="585" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="586" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga572525e185ea030f605f74679256f342" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_eft_t</name>
        <enumvalue id="group__group__canfd__enums_1gga572525e185ea030f605f74679256f342abf361450b1b41a97d870f8a38183570d" prot="public">
          <name>CY_CANFD_EFT_RANGE_EFID1_EFID2</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The range filter from EFID1 to EFID2 (EFID2 &gt;= EFID1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga572525e185ea030f605f74679256f342a0719604137143e3fdfd8b233e7031ed6" prot="public">
          <name>CY_CANFD_EFT_DUAL_ID</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The Dual ID filter for EFID1 or EFID2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga572525e185ea030f605f74679256f342a4f439933bd71059964565d23557bf7ca" prot="public">
          <name>CY_CANFD_EFT_CLASSIC_FILTER</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The Classic filter: EFID1 = filter, EFID2 = mask. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga572525e185ea030f605f74679256f342adbd7d9ddaabdc13cc00671659e6395e9" prot="public">
          <name>CY_CANFD_EFT_RANGE_EFID1_EFID2_NO_MSK</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The range filter from EFID1 to EFID2 (EFID2 &gt;= EFID1), XIDAM mask not applied. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_eft_t: </bold><linebreak />Extended Filter Type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="606" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="600" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="601" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1gac301ff6eab794c7f718822ef7c289483" kind="enum" prot="public" static="no">
        <name>cy_stc_canfd_test_mode_t</name>
        <enumvalue id="group__group__canfd__enums_1ggac301ff6eab794c7f718822ef7c289483aed426a65133a036a1cb85d131fbe5b56" prot="public">
          <name>CY_CANFD_TEST_MODE_DISABLE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The normal operation. </para>          </briefdescription>
          <detaileddescription>
<para>Test Mode is disabled </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggac301ff6eab794c7f718822ef7c289483ad3b82a76b652bf50e8b4bb801046231b" prot="public">
          <name>CY_CANFD_TEST_MODE_BUS_MONITORING</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The Bus Monitoring Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggac301ff6eab794c7f718822ef7c289483a2320cb167a40a073fccd1918771387c7" prot="public">
          <name>CY_CANFD_TEST_MODE_EXTERNAL_LOOP_BACK</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The External Loop Back Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1ggac301ff6eab794c7f718822ef7c289483a509e1d78b7329107d6ff2015cb4cc81e" prot="public">
          <name>CY_CANFD_TEST_MODE_INTERNAL_LOOP_BACK</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The Internal Loop Back Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_stc_canfd_test_mode_t: </bold><linebreak />Test Mode Type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="615" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="609" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="610" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga8f3d57cafe365ef6e8de050a9b987eea" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_LEC_t</name>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaa700edb9d03461f3030136a22e595609f" prot="public">
          <name>CY_CANFD_LEC_NO_ERROR</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>No error occurred since LEC was reset by successful reception or transmission. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaa43eebfc246254680fdc3a8b406e49517" prot="public">
          <name>CY_CANFD_LEC_STUFF_ERROR</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>More than 5 equal bits in a sequence occurred in a part of a received message. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaaa9f98c5234f01bfe16e40ac2a672e287" prot="public">
          <name>CY_CANFD_LEC_FORM_ERROR</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>A fixed format part of a received frame has the wrong format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaa0079195ff83d1019aea4a14340bc6ef4" prot="public">
          <name>CY_CANFD_LEC_ACK_ERROR</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The message this CAN FD Core transmitted was not acknowledged by another node. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaae7db6a077ee64e00e4616c5e279f9995" prot="public">
          <name>CY_CANFD_LEC_BIT1_ERROR</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>While trying to send a recessive bit (1) a dominant level (0) was sampled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaaf09ade40d204d294dac1b8c9beba7119" prot="public">
          <name>CY_CANFD_LEC_BIT0_ERROR</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>While trying to send a dominant bit (0) a recessive level (1) was sampled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaac7cfe4f20dfe511af4844d9a1d82807d" prot="public">
          <name>CY_CANFD_LEC_CRC_ERROR</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>The CRC checksum was incorrect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga8f3d57cafe365ef6e8de050a9b987eeaa55f8e3a11c6b9d0645df359159a44ba6" prot="public">
          <name>CY_CANFD_LEC_NO_CHANGE</name>
          <initializer>= 0x07u</initializer>
          <briefdescription>
<para>No CAN bus event was detected since the last CPU read access to the Protocol Status Register. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_LEC_t: </bold><linebreak />Last Error Code and Data Phase Last Error Code Type.</para></briefdescription>
        <detaileddescription>
<para><linebreak />
Used with <ref kindref="member" refid="group__group__canfd__functions_1gaf5add9d9ca8ffd36ea16a62f5f11cf2b">Cy_CANFD_GetLastError()</ref> for LEC and DLEC fields of the Protocol Status Register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="646" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="621" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="622" />
      </memberdef>
      <memberdef id="group__group__canfd__enums_1ga25bedb1e6fd90abd96302a83bc35a613" kind="enum" prot="public" static="no">
        <name>cy_en_canfd_PSR_ACT_t</name>
        <enumvalue id="group__group__canfd__enums_1gga25bedb1e6fd90abd96302a83bc35a613afee22b4fa882404591aa0cbacc212abf" prot="public">
          <name>CY_CANFD_PSR_ACT_SYNC</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The node is synchronizing on CAN communication. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga25bedb1e6fd90abd96302a83bc35a613a2f808a69fa19d761c03393201d3cb0c3" prot="public">
          <name>CY_CANFD_PSR_ACT_IDLE</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The node is neither receiver nor transmitter. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga25bedb1e6fd90abd96302a83bc35a613ab5e8851c0c20b36d9eaff54386da1409" prot="public">
          <name>CY_CANFD_PSR_ACT_RX</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The node is operating as receiver. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__canfd__enums_1gga25bedb1e6fd90abd96302a83bc35a613ad5e7fcf845907d0b1371fff64fab1bb5" prot="public">
          <name>CY_CANFD_PSR_ACT_TX</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The node is operating as transmitter. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_canfd_PSR_ACT_t: </bold><linebreak />Bus Activity State field of the PSR Used with <ref kindref="member" refid="group__group__canfd__functions_1gaf5add9d9ca8ffd36ea16a62f5f11cf2b">Cy_CANFD_GetLastError()</ref> for ACT field of the Protocol Status Register.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="657" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="651" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="652" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>